Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class ModelRef

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.CalculationSpecification
                  |
                  +--oracle.AWXML.ModelRef

public class ModelRef
extends CalculationSpecification

A reference to a `Model` in an `AggregationDefinition`.

An `AggregationDefinition` owns an ordered set of `CalculationSpecification` objects. The position in the calculation order determines the order in which the calculations are performed. A `CalculationSpecification` can be either a `ModelRef`, which references a pre-defined Model to specify aggregation over a dimension (typically a non-hierarchical dimension), or an `Aggregation` object, which specifies aggregation over a hierarchical dimension.

An `AggregationDefinition` is implemented as an aggmap object for aggregation in the OLAP DML. Each of its `ModelRef` objects is a reference to a Model object defined in the OLAP DML.

For more information, see the OLAP DML Reference.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`ModelRef(BaseObject input)` Creates a new `ModelRef` for the specified `AggregationDefinition`.

Method Summary
`java.lang.String` | `Create(AWConnection connection)` Creates the `ModelRef` in the current analytic workspace of the specified database connection, and appends it to the end of the list of `CalculationSpecification` objects.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates the `ModelRef` in the current analytic workspace of the specified database connection, and adds it to the calculation list after the referenced `CalculationSpecification`.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates the `ModelRef` in the current analytic workspace of the specified database connection, and adds it to the calculation list before the referenced `CalculationSpecification`.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates the `ModelRef` in the current analytic workspace of the specified database connection, and appends it to the beginning of the list of `CalculationSpecification` objects.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `ModelRef` in the current analytic workspace of the specified database connection.
`Model` | `getModel()` Returns the `Model` referenced by this CalculationSpecification.
`void` | `setModel(Model input)` Sets the `Model` referenced by this CalculationSpecification.
`java.lang.String` | `WriteToXML()` Returns the `ModelRef` as an XML string.

Methods inherited from class oracle.AWXML.CalculationSpecification
`getAggregationText, getCalculationOrder, setCalculationOrder, setCalculationOrder`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelRef

    public ModelRef(BaseObject input)

  Creates a new `ModelRef` for the specified `AggregationDefinition`.
  Parameters:
    `input` - The `AggregationDefinition` that owns the new `ModelRef`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Returns the `ModelRef` as an XML string.
  Overrides:
    WriteToXML in class CalculationSpecification
  Returns:
    A `String` containing the XML that represents the `ModelRef`.

### getModel

    public Model getModel()

  Returns the `Model` referenced by this CalculationSpecification.
  Returns:
    The referenced `Model`.

### setModel

    public void setModel(Model input)

  Sets the `Model` referenced by this CalculationSpecification.
  Parameters:
    `input` - The referenced `Model`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates the `ModelRef` in the current analytic workspace of the specified database connection, and appends it to the end of the list of `CalculationSpecification` objects.
  Overrides:
    Create in class CalculationSpecification
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates the `ModelRef` in the current analytic workspace of the specified database connection, and appends it to the beginning of the list of `CalculationSpecification` objects.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates the `ModelRef` in the current analytic workspace of the specified database connection, and adds it to the calculation list after the referenced `CalculationSpecification`.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The referenced `CalculationSpecification`.
  Returns:
    "`success`" if successful.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates the `ModelRef` in the current analytic workspace of the specified database connection, and adds it to the calculation list before the referenced `CalculationSpecification`.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `referencedObj` - The referenced `CalculationSpecification`.
  Returns:
    "`success`" if successful.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `ModelRef` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    "`success`" if successful.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.